<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('agreement_log', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->comment('操作人id');
            $table->string('user_name')->nullable()->comment('操作人名');
            $table->string('user_mobile')->nullable()->comment('操作人电话');
            $table->integer('order_id')->nullable()->comment('订单id');
            $table->integer('agreement_id')->nullable()->comment('协议id');
            $table->string('remark')->nullable()->comment('操作备注');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('agreement_log');
    }
};
